<template>
    <Page>
        <ActionBar class="header">
            <StackLayout>
                <FlexboxLayout
                    flexDirection="row"
                    justifyContent="space-between" class="navbar"
                >
                    <Image
                        src="~/assets/images/menu.png"
                        class="menu"
                        stretch="fill"
                        @tap="$refs.drawer.nativeView.showDrawer()"
                    ></Image>
                    <Image
                        src="~/assets/images/logo.png"
                        class="logo"
                        stretch="fill"
                    ></Image>
                    <Image
                        src="~/assets/images/cloche.png"
                        class="bell"
                        stretch="fill"
                    ></Image>
                </FlexboxLayout>
            </StackLayout>
        </ActionBar>

        <RadSideDrawer ref="drawer">
            <StackLayout ~drawerContent backgroundColor="#ffffff">
                <DrawerContent/>
            </StackLayout>

            <StackLayout ~mainContent>
                <FlexboxLayout alignItems="center" class="back-button">
                    <Image src="~/assets/images/back.png" class="icon-margin" stretch="fill"></Image>
                    <Label class="back" text="Retour" @tap="$navigateBack"/>
                </FlexboxLayout>

                <ScrollView orientation="vertical">
                    <FlexboxLayout flexDirection="column" class="full-height">

                        <GridLayout height="300">
                            <Carousel
                                id="carousel"
                                ios:indicatorOffset="0,25"
                                ios:finite="true"
                                ios:bounce="false"
                                showIndicator="true"
                                indicatorAnimation="SWAP"
                                indicatorColor="#339E33"
                                indicatorColorUnselected="#7D7D7D"
                                indicatorOffset="0,25"
                                height="90%"
                                width="75%"
                            >
                                <CarouselItem id="slide1" verticalAlignment="middle">
                                    <Image src="~/assets/images/maison.png" class="img-activity" stretch="fill"></Image>
                                </CarouselItem>

                                <CarouselItem id="slide2" verticalAlignment="middle">
                                    <Image src="~/assets/images/maison2.png" class="img-activity"
                                           stretch="fill"></Image>
                                </CarouselItem>

                                <CarouselItem id="slide3" verticalAlignment="middle">
                                    <Image src="~/assets/images/maison.png" class="img-activity" stretch="fill"></Image>
                                </CarouselItem>
                            </Carousel>
                        </GridLayout>

                        <Label class="title" :text="listOfItems.act_name"/>
                        <FlexboxLayout flexDirection="row" class="activity-content">
                            <Label class="address-activity"
                                   :text="listOfItems.act_adress + ', ' + listOfItems.act_postal + ' ' + listOfItems.act_city"/>
                            <Label class="description-activity" :text="listOfItems.act_describe" textWrap="true"/>
                        </FlexboxLayout>

                    </FlexboxLayout>
                </ScrollView>
            </StackLayout>
        </RadSideDrawer>
    </Page>
</template>

<script>
import {Http} from "@nativescript/core";

const carousel = require('nativescript-carousel');
import DrawerContent from "./DrawerContent";

export default {
    props: ['idActivity', 'idAdvert'],
    components: {
        DrawerContent,
    },
    data() {
        return {
            listOfItems: {},
        }
    },
    mounted() {
        this.getActivity()
    },
    methods: {
        async getActivity() {
            const response = await Http.request({
                url: "https://api.atypikhouse.art/getOneActivityByID",
                method: "POST",
                headers: {
                    "Content-Type": "application/json",
                    "Access-Control-Allow-Origin": "*",
                },
                content: JSON.stringify({
                    act_id: this.idActivity,
                    act_adv_id: this.idAdvert
                }),
            })
            var result = response.content.toJSON();
            this.listOfItems = result.result[0];
        },
    }
}
</script>

<style scoped>
.header {
    background-image: url("~/assets/images/header.png");
    background-size: cover;
    background-repeat: no-repeat;
    background-position: center;
    width: 100%;
}

.navbar {
    height: 120;
    width: 100%;
    padding-top: 30;
}

.menu {
    text-align: left;
    width: 40;
    margin-top: 13vh;
    margin-bottom: 40vh;
}

.logo {
    width: 70;
    height: 90px;
    margin-bottom: 20vh;
    justify-self: center;
}

.bell {
    text-align: right;
    width: 40vw;
    margin-top: 13vh;
    margin-bottom: 40vh;
    margin-right: 10;
}

.back-button {
    margin-left: 10;
    margin-top: 10;
}

.back {
    text-align: left;
    color: #2d2d2d;
}

.icon-margin {
    margin-right: 10;
    width: 16;
    height: 16;
}

.full-height {
    height: max-content;
    margin-left: 20vw;
    margin-right: 20vw;
    margin-top: 30vh;
}

.img-activity {
    width: 100%;
    height: 100%;
}

.title {
    text-align: left;
    font-size: 25px;
    color: #2d2d2d;
    margin-bottom: 10;
    margin-top: 10;
}

.activity-content {
    flex-wrap: wrap;
    margin-bottom: 10;
    margin-top: 10;
}

.address-activity {
    font-size: 16px;
    color: #7d7d7d;
    display: flex;
    flex-wrap: wrap;
    margin-bottom: 5;
}

.description-activity {
    font-size: 14px;
    color: #7d7d7d;
    display: flex;
    flex-wrap: wrap;
    margin-bottom: 5;
}
</style>
